FishOutFishOut

List agent runs

GET/orgs/{organizationId}/projects/{projectId}/agents/{agentId}/runs

List agent runs within the selected project. Uses the app's permissions and entitlements.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length
projectId*string
Length1 <= length
agentId*string
Length1 <= length <= 200

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
cursor?string
Length1 <= length <= 2048

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orgs/string/projects/string/agents/string/runs"
{  "data": [    {      "id": "string",      "agentId": "string",      "mentionId": "string",      "status": "success",      "startedAt": "2019-08-24T14:15:22Z",      "durationMs": 0,      "summary": "string",      "actionsTaken": [        "string"      ],      "error": "string",      "property1": "string",      "property2": "string"    }  ],  "meta": {    "requestId": "string",    "replayed": true,    "nextCursor": "string"  }}